[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSource.DataSet

Dataset this datasource is connected to

## Declaration

Source position: db.pas line 1933

`published property TDataSource.DataSet : TDataSet read FDataSet write SetDataSet;`

## Description

Dataset must be set by the application programmer to the TDataset instance for which this datasource is handling events. Setting it to Nil will disable all controls that are connected to this datasource instance. Once it is set and the datasource is enabled, the datasource will start sending data events to the controls or components connected to it.

## See also

TDataset |  | Base class for records-based data-access
TDatasource.Enabled |  | Enable or disable sending of events